Swift (iOS/OS X): Alcatraz、XVim といった Xcode Plugin が動かなくなった時の対処法

Xcode がいつの間にかバージョンアップされて、普段使っていた Xcode Plugin が使えなくなった時の対処法メモです。

Xcode Plug-ins に新しい Xcode の DVTPlugInCompatibilityUUID を追加して完了です。

1. UUID を取り出す

$ defaults read /Applications/Xcode.app/Contents/Info DVTPlugInCompatibilityUUID

UUID が表示されるのでコピー。

2. Info.plist に追加

$ find ~/Library/Application\ Support/Developer/Shared/Xcode/Plug-ins -name Info.plist | xargs -IFILE defaults write FILE DVTPlugInCompatibilityUUIDs -array-add さっきのUUIDをここに

3. 再設定

Xcode を再起動して、直後のダイアログで Load Bundle を選択すれば完了。